io.agora.rtc

## Class LocalVideoTrackStats

- java.lang.Object
- - io.agora.rtc.LocalVideoTrackStats

-     public class LocalVideoTrackStats
      extends java.lang.Object

  Statistics of the local video track.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `bytesMajorStream` The bytes of the major stream.
    `private long` | `bytesMinorStream` The bytes of the minor stream.
    `private int` | `captureFrameRate` The capture frame rate (fps).
    `private int` | `captureHeight` The capture frame height (pixel).
    `private int` | `captureWidth` The capture frame width (pixel).
    `private int` | `encodeFrameRate` The encoder output frame rate (fps).
    `private int` | `encoderType` The encoder type.
    `private int` | `framesEncoded` The number of frames encoded.
    `private int` | `height` The frame height (pixel).
    `private int` | `inputFrameRate` The input frame rate (fps).
    `private int` | `mediaBitrateBps` The frame rate excluding FEC.
    `private long` | `numberOfStreams` The number of streams.
    `private int` | `qualityAdaptIndication` Quality change of the local video in terms of target frame rate and target bit rate in this reported interval.
    `private int` | `regulatedCaptureFrameRate` The regulated capture frame rate (fps) according to video encoder configuration.
    `private int` | `regulatedCaptureHeight` The regulated frame height (pixel) of capture frame height according to video encoder configuration.
    `private int` | `regulatedCaptureWidth` The regulated frame width (pixel) of capture frame width according to video encoder configuration.
    `private int` | `renderFrameRate` The render frame rate (fps).
    `private int` | `ssrcMajorStream` The synchronization source (SSRC) of the major stream.
    `private int` | `ssrcMinorStream` The synchronization source (SSRC) of the minor stream.
    `private int` | `targetMediaBitrateBps` The target bitrate (bps).
    `private int` | `totalBitrateBps` The total frame rate including FEC.
    `private int` | `uplinkCostTimeMs` The average time diff between frame captured and framed encoded.
    `private int` | `width` The frame width (pixel).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalVideoTrackStats()` Default constructor for LocalVideoTrackStats.
    `LocalVideoTrackStats(long numberOfStreams, long bytesMajorStream, long bytesMinorStream, int framesEncoded, int ssrcMajorStream, int ssrcMinorStream, int captureFrameRate, int regulatedCaptureFrameRate, int inputFrameRate, int encodeFrameRate, int renderFrameRate, int targetMediaBitrateBps, int mediaBitrateBps, int totalBitrateBps, int captureWidth, int captureHeight, int regulatedCaptureWidth, int regulatedCaptureHeight, int width, int height, int encoderType, int uplinkCostTimeMs, int qualityAdaptIndication)` Constructs LocalVideoTrackStats with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBytesMajorStream()` Gets the bytes of the major stream.
    `long` | `getBytesMinorStream()` Gets the bytes of the minor stream.
    `int` | `getCaptureFrameRate()` Gets the capture frame rate (fps).
    `int` | `getCaptureHeight()` Gets the capture frame height (pixel).
    `int` | `getCaptureWidth()` Gets the capture frame width (pixel).
    `int` | `getEncodeFrameRate()` Gets the encoder output frame rate (fps).
    `int` | `getEncoderType()` Gets the encoder type.
    `int` | `getFramesEncoded()` Gets the number of frames encoded.
    `int` | `getHeight()` Gets the frame height (pixel).
    `int` | `getInputFrameRate()` Gets the input frame rate (fps).
    `int` | `getMediaBitrateBps()` Gets the frame rate excluding FEC.
    `long` | `getNumberOfStreams()` Gets the number of streams.
    `int` | `getQualityAdaptIndication()` Gets the quality change of the local video.
    `int` | `getRegulatedCaptureFrameRate()` Gets the regulated capture frame rate (fps).
    `int` | `getRegulatedCaptureHeight()` Gets the regulated frame height (pixel).
    `int` | `getRegulatedCaptureWidth()` Gets the regulated frame width (pixel).
    `int` | `getRenderFrameRate()` Gets the render frame rate (fps).
    `int` | `getSsrcMajorStream()` Gets the synchronization source (SSRC) of the major stream.
    `int` | `getSsrcMinorStream()` Gets the synchronization source (SSRC) of the minor stream.
    `int` | `getTargetMediaBitrateBps()` Gets the target bitrate (bps).
    `int` | `getTotalBitrateBps()` Gets the total frame rate including FEC.
    `int` | `getUplinkCostTimeMs()` Gets the average time diff between frame captured and framed encoded.
    `int` | `getWidth()` Gets the frame width (pixel).
    `void` | `setBytesMajorStream(long bytesMajorStream)` Sets the bytes of the major stream.
    `void` | `setBytesMinorStream(long bytesMinorStream)` Sets the bytes of the minor stream.
    `void` | `setCaptureFrameRate(int captureFrameRate)` Sets the capture frame rate (fps).
    `void` | `setCaptureHeight(int captureHeight)` Sets the capture frame height (pixel).
    `void` | `setCaptureWidth(int captureWidth)` Sets the capture frame width (pixel).
    `void` | `setEncodeFrameRate(int encodeFrameRate)` Sets the encoder output frame rate (fps).
    `void` | `setEncoderType(int encoderType)` Sets the encoder type.
    `void` | `setFramesEncoded(int framesEncoded)` Sets the number of frames encoded.
    `void` | `setHeight(int height)` Sets the frame height (pixel).
    `void` | `setInputFrameRate(int inputFrameRate)` Sets the input frame rate (fps).
    `void` | `setMediaBitrateBps(int mediaBitrateBps)` Sets the frame rate excluding FEC.
    `void` | `setNumberOfStreams(long numberOfStreams)` Sets the number of streams.
    `void` | `setQualityAdaptIndication(int qualityAdaptIndication)` Sets the quality change of the local video.
    `void` | `setRegulatedCaptureFrameRate(int regulatedCaptureFrameRate)` Sets the regulated capture frame rate (fps).
    `void` | `setRegulatedCaptureHeight(int regulatedCaptureHeight)` Sets the regulated frame height (pixel).
    `void` | `setRegulatedCaptureWidth(int regulatedCaptureWidth)` Sets the regulated frame width (pixel).
    `void` | `setRenderFrameRate(int renderFrameRate)` Sets the render frame rate (fps).
    `void` | `setSsrcMajorStream(int ssrcMajorStream)` Sets the synchronization source (SSRC) of the major stream.
    `void` | `setSsrcMinorStream(int ssrcMinorStream)` Sets the synchronization source (SSRC) of the minor stream.
    `void` | `setTargetMediaBitrateBps(int targetMediaBitrateBps)` Sets the target bitrate (bps).
    `void` | `setTotalBitrateBps(int totalBitrateBps)` Sets the total frame rate including FEC.
    `void` | `setUplinkCostTimeMs(int uplinkCostTimeMs)` Sets the average time diff between frame captured and framed encoded.
    `void` | `setWidth(int width)` Sets the frame width (pixel).
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### numberOfStreams

          private long numberOfStreams

      The number of streams.

    - #### bytesMajorStream

          private long bytesMajorStream

      The bytes of the major stream.

    - #### bytesMinorStream

          private long bytesMinorStream

      The bytes of the minor stream.

    - #### framesEncoded

          private int framesEncoded

      The number of frames encoded.

    - #### ssrcMajorStream

          private int ssrcMajorStream

      The synchronization source (SSRC) of the major stream.

    - #### ssrcMinorStream

          private int ssrcMinorStream

      The synchronization source (SSRC) of the minor stream.

    - #### captureFrameRate

          private int captureFrameRate

      The capture frame rate (fps).

    - #### regulatedCaptureFrameRate

          private int regulatedCaptureFrameRate

      The regulated capture frame rate (fps) according to video encoder configuration.

    - #### inputFrameRate

          private int inputFrameRate

      The input frame rate (fps).

    - #### encodeFrameRate

          private int encodeFrameRate

      The encoder output frame rate (fps).

    - #### renderFrameRate

          private int renderFrameRate

      The render frame rate (fps).

    - #### targetMediaBitrateBps

          private int targetMediaBitrateBps

      The target bitrate (bps).

    - #### mediaBitrateBps

          private int mediaBitrateBps

      The frame rate excluding FEC.

    - #### totalBitrateBps

          private int totalBitrateBps

      The total frame rate including FEC.

    - #### captureWidth

          private int captureWidth

      The capture frame width (pixel).

    - #### captureHeight

          private int captureHeight

      The capture frame height (pixel).

    - #### regulatedCaptureWidth

          private int regulatedCaptureWidth

      The regulated frame width (pixel) of capture frame width according to video encoder configuration.

    - #### regulatedCaptureHeight

          private int regulatedCaptureHeight

      The regulated frame height (pixel) of capture frame height according to video encoder configuration.

    - #### width

          private int width

      The frame width (pixel).

    - #### height

          private int height

      The frame height (pixel).

    - #### encoderType

          private int encoderType

      The encoder type.

    - #### uplinkCostTimeMs

          private int uplinkCostTimeMs

      The average time diff between frame captured and framed encoded.

    - #### qualityAdaptIndication

          private int qualityAdaptIndication

      Quality change of the local video in terms of target frame rate and target bit rate in this reported interval.

  - ### Constructor Detail

    - #### LocalVideoTrackStats

          public LocalVideoTrackStats()

      Default constructor for LocalVideoTrackStats.

    - #### LocalVideoTrackStats

          public LocalVideoTrackStats(long numberOfStreams,
                                      long bytesMajorStream,
                                      long bytesMinorStream,
                                      int framesEncoded,
                                      int ssrcMajorStream,
                                      int ssrcMinorStream,
                                      int captureFrameRate,
                                      int regulatedCaptureFrameRate,
                                      int inputFrameRate,
                                      int encodeFrameRate,
                                      int renderFrameRate,
                                      int targetMediaBitrateBps,
                                      int mediaBitrateBps,
                                      int totalBitrateBps,
                                      int captureWidth,
                                      int captureHeight,
                                      int regulatedCaptureWidth,
                                      int regulatedCaptureHeight,
                                      int width,
                                      int height,
                                      int encoderType,
                                      int uplinkCostTimeMs,
                                      int qualityAdaptIndication)

      Constructs LocalVideoTrackStats with all parameters.
      Parameters:
        `numberOfStreams` - The number of streams
        `bytesMajorStream` - The bytes of the major stream
        `bytesMinorStream` - The bytes of the minor stream
        `framesEncoded` - The number of frames encoded
        `ssrcMajorStream` - The synchronization source (SSRC) of the major stream
        `ssrcMinorStream` - The synchronization source (SSRC) of the minor stream
        `captureFrameRate` - The capture frame rate (fps)
        `regulatedCaptureFrameRate` - The regulated capture frame rate (fps)
        `inputFrameRate` - The input frame rate (fps)
        `encodeFrameRate` - The encoder output frame rate (fps)
        `renderFrameRate` - The render frame rate (fps)
        `targetMediaBitrateBps` - The target bitrate (bps)
        `mediaBitrateBps` - The frame rate excluding FEC
        `totalBitrateBps` - The total frame rate including FEC
        `captureWidth` - The capture frame width (pixel)
        `captureHeight` - The capture frame height (pixel)
        `regulatedCaptureWidth` - The regulated frame width (pixel)
        `regulatedCaptureHeight` - The regulated frame height (pixel)
        `width` - The frame width (pixel)
        `height` - The frame height (pixel)
        `encoderType` - The encoder type
        `uplinkCostTimeMs` - The average time diff between frame captured and framed encoded
        `qualityAdaptIndication` - Quality change of the local video

  - ### Method Detail

    - #### getNumberOfStreams

          public long getNumberOfStreams()

      Gets the number of streams.
      Returns:
        The number of streams

    - #### setNumberOfStreams

          public void setNumberOfStreams(long numberOfStreams)

      Sets the number of streams.
      Parameters:
        `numberOfStreams` - The number of streams

    - #### getBytesMajorStream

          public long getBytesMajorStream()

      Gets the bytes of the major stream.
      Returns:
        The bytes of the major stream

    - #### setBytesMajorStream

          public void setBytesMajorStream(long bytesMajorStream)

      Sets the bytes of the major stream.
      Parameters:
        `bytesMajorStream` - The bytes of the major stream

    - #### getBytesMinorStream

          public long getBytesMinorStream()

      Gets the bytes of the minor stream.
      Returns:
        The bytes of the minor stream

    - #### setBytesMinorStream

          public void setBytesMinorStream(long bytesMinorStream)

      Sets the bytes of the minor stream.
      Parameters:
        `bytesMinorStream` - The bytes of the minor stream

    - #### getFramesEncoded

          public int getFramesEncoded()

      Gets the number of frames encoded.
      Returns:
        The number of frames encoded

    - #### setFramesEncoded

          public void setFramesEncoded(int framesEncoded)

      Sets the number of frames encoded.
      Parameters:
        `framesEncoded` - The number of frames encoded

    - #### getSsrcMajorStream

          public int getSsrcMajorStream()

      Gets the synchronization source (SSRC) of the major stream.
      Returns:
        The synchronization source (SSRC) of the major stream

    - #### setSsrcMajorStream

          public void setSsrcMajorStream(int ssrcMajorStream)

      Sets the synchronization source (SSRC) of the major stream.
      Parameters:
        `ssrcMajorStream` - The synchronization source (SSRC) of the major stream

    - #### getSsrcMinorStream

          public int getSsrcMinorStream()

      Gets the synchronization source (SSRC) of the minor stream.
      Returns:
        The synchronization source (SSRC) of the minor stream

    - #### setSsrcMinorStream

          public void setSsrcMinorStream(int ssrcMinorStream)

      Sets the synchronization source (SSRC) of the minor stream.
      Parameters:
        `ssrcMinorStream` - The synchronization source (SSRC) of the minor stream

    - #### getCaptureFrameRate

          public int getCaptureFrameRate()

      Gets the capture frame rate (fps).
      Returns:
        The capture frame rate (fps)

    - #### setCaptureFrameRate

          public void setCaptureFrameRate(int captureFrameRate)

      Sets the capture frame rate (fps).
      Parameters:
        `captureFrameRate` - The capture frame rate (fps)

    - #### getRegulatedCaptureFrameRate

          public int getRegulatedCaptureFrameRate()

      Gets the regulated capture frame rate (fps).
      Returns:
        The regulated capture frame rate (fps)

    - #### setRegulatedCaptureFrameRate

          public void setRegulatedCaptureFrameRate(int regulatedCaptureFrameRate)

      Sets the regulated capture frame rate (fps).
      Parameters:
        `regulatedCaptureFrameRate` - The regulated capture frame rate (fps)

    - #### getInputFrameRate

          public int getInputFrameRate()

      Gets the input frame rate (fps).
      Returns:
        The input frame rate (fps)

    - #### setInputFrameRate

          public void setInputFrameRate(int inputFrameRate)

      Sets the input frame rate (fps).
      Parameters:
        `inputFrameRate` - The input frame rate (fps)

    - #### getEncodeFrameRate

          public int getEncodeFrameRate()

      Gets the encoder output frame rate (fps).
      Returns:
        The encoder output frame rate (fps)

    - #### setEncodeFrameRate

          public void setEncodeFrameRate(int encodeFrameRate)

      Sets the encoder output frame rate (fps).
      Parameters:
        `encodeFrameRate` - The encoder output frame rate (fps)

    - #### getRenderFrameRate

          public int getRenderFrameRate()

      Gets the render frame rate (fps).
      Returns:
        The render frame rate (fps)

    - #### setRenderFrameRate

          public void setRenderFrameRate(int renderFrameRate)

      Sets the render frame rate (fps).
      Parameters:
        `renderFrameRate` - The render frame rate (fps)

    - #### getTargetMediaBitrateBps

          public int getTargetMediaBitrateBps()

      Gets the target bitrate (bps).
      Returns:
        The target bitrate (bps)

    - #### setTargetMediaBitrateBps

          public void setTargetMediaBitrateBps(int targetMediaBitrateBps)

      Sets the target bitrate (bps).
      Parameters:
        `targetMediaBitrateBps` - The target bitrate (bps)

    - #### getMediaBitrateBps

          public int getMediaBitrateBps()

      Gets the frame rate excluding FEC.
      Returns:
        The frame rate excluding FEC

    - #### setMediaBitrateBps

          public void setMediaBitrateBps(int mediaBitrateBps)

      Sets the frame rate excluding FEC.
      Parameters:
        `mediaBitrateBps` - The frame rate excluding FEC

    - #### getTotalBitrateBps

          public int getTotalBitrateBps()

      Gets the total frame rate including FEC.
      Returns:
        The total frame rate including FEC

    - #### setTotalBitrateBps

          public void setTotalBitrateBps(int totalBitrateBps)

      Sets the total frame rate including FEC.
      Parameters:
        `totalBitrateBps` - The total frame rate including FEC

    - #### getCaptureWidth

          public int getCaptureWidth()

      Gets the capture frame width (pixel).
      Returns:
        The capture frame width (pixel)

    - #### setCaptureWidth

          public void setCaptureWidth(int captureWidth)

      Sets the capture frame width (pixel).
      Parameters:
        `captureWidth` - The capture frame width (pixel)

    - #### getCaptureHeight

          public int getCaptureHeight()

      Gets the capture frame height (pixel).
      Returns:
        The capture frame height (pixel)

    - #### setCaptureHeight

          public void setCaptureHeight(int captureHeight)

      Sets the capture frame height (pixel).
      Parameters:
        `captureHeight` - The capture frame height (pixel)

    - #### getRegulatedCaptureWidth

          public int getRegulatedCaptureWidth()

      Gets the regulated frame width (pixel).
      Returns:
        The regulated frame width (pixel)

    - #### setRegulatedCaptureWidth

          public void setRegulatedCaptureWidth(int regulatedCaptureWidth)

      Sets the regulated frame width (pixel).
      Parameters:
        `regulatedCaptureWidth` - The regulated frame width (pixel)

    - #### getRegulatedCaptureHeight

          public int getRegulatedCaptureHeight()

      Gets the regulated frame height (pixel).
      Returns:
        The regulated frame height (pixel)

    - #### setRegulatedCaptureHeight

          public void setRegulatedCaptureHeight(int regulatedCaptureHeight)

      Sets the regulated frame height (pixel).
      Parameters:
        `regulatedCaptureHeight` - The regulated frame height (pixel)

    - #### getWidth

          public int getWidth()

      Gets the frame width (pixel).
      Returns:
        The frame width (pixel)

    - #### setWidth

          public void setWidth(int width)

      Sets the frame width (pixel).
      Parameters:
        `width` - The frame width (pixel)

    - #### getHeight

          public int getHeight()

      Gets the frame height (pixel).
      Returns:
        The frame height (pixel)

    - #### setHeight

          public void setHeight(int height)

      Sets the frame height (pixel).
      Parameters:
        `height` - The frame height (pixel)

    - #### getEncoderType

          public int getEncoderType()

      Gets the encoder type.
      Returns:
        The encoder type

    - #### setEncoderType

          public void setEncoderType(int encoderType)

      Sets the encoder type.
      Parameters:
        `encoderType` - The encoder type

    - #### getUplinkCostTimeMs

          public int getUplinkCostTimeMs()

      Gets the average time diff between frame captured and framed encoded.
      Returns:
        The average time diff between frame captured and framed encoded

    - #### setUplinkCostTimeMs

          public void setUplinkCostTimeMs(int uplinkCostTimeMs)

      Sets the average time diff between frame captured and framed encoded.
      Parameters:
        `uplinkCostTimeMs` - The average time diff between frame captured and framed encoded

    - #### getQualityAdaptIndication

          public int getQualityAdaptIndication()

      Gets the quality change of the local video.
      Returns:
        Quality change of the local video

    - #### setQualityAdaptIndication

          public void setQualityAdaptIndication(int qualityAdaptIndication)

      Sets the quality change of the local video.
      Parameters:
        `qualityAdaptIndication` - Quality change of the local video

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`